Subject: Required questions(really)...

From: [email-masked] (Scott Adams)
Date: Mon, 9 Aug 1993 13:57:26 -0400 (EDT)

To:   Alan K. Bartky
From: Scott Adams
RE:   Required Questions for Active Members

I didn't identify myself as an active member of the connect workgroup,
but I'm responding to your required questions primarily because of
NETBIOS.  Cayman's primary interest in DLS at this time is in its
support for NETBIOS, therefore we feel strongly that the basic DLS
protocol as described in RFC 1434 should NOT be changed to remove it.

> 1) Do you believe that the current DLSw State Machine can be (or should
> be) modified to support all of the following (for SNA PUs this includes
> all combinations as far as the end stations being LLC or SDLC (i.e. full
> interconnectivity))?
> 
>     Pu2.0
>     PU2.1
>     Other PU types
>     Support for non equal SAPs (e.g DSAP=8, SSAP=4)
>     NETBIOS
> 

As I stated above, NETBIOS is a definite.  Is it possible to make some
SNA support optional (particularly that which many feel isn't provided
by DLS ala RFC 1434)?

> 2) Does everyone agree that both NETBIOS and SNA should be supported
> by DLSw?  (ref. Jim Cobban's mail message sent Aug. 3 on only including
> SNA and excluding NETBIOS.)
> 

I'm adamant about NETBIOS support.  Regarding Jim Cobban's suggestion
not to support NETBIOS UI frames directly in DLS...I think it is
theoretically a good idea to generalize DLS to support all protocols
over LLC 2, but then it becomes other than what we've been calling
DLS.  Support both NETBIOS and SNA.

> 3) Should the current mechanisms for sending the XID and TEST frames
> be modified to not establish the DLSw circuit until SABME/UA or SNRM/UA
> phase (e.g. like Cisco's Stun Mechanism)?
> 

As above, I think this starts us down a path that leads to something
other than the DLS we all know and love.  For the sake of
implementation in our lifetimes, I'm inclined away from such major
changes.  The ability to extend DLS via options declared during
capabilities exchange might allow this in the future (may not be
practical, but just a thought...)

> 4) Should DLSw be modified to handle LLC type 2 connections for protocols
> other than SNA or NETBIOS (i.e. generic LLC type 2 support)?
> 

Same as above...

> The specification will have to include:
> 
>         A complete state machine (including all events in/out and timers)
>         Full documentation of any implementation options.
>         Full documentation on all events (frames, timeouts, conditions).
>         Flow diagrams of all "normal" protocol flows.
>         Flow diagrams of "typical" error path flows (e.g. line loss).
>         Options in the protocol clearly documented as such.
> 

Yes.

Thanks,

Scott